SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SLNet::BPSTracker::TimeAndValue2 Struct Reference

`#include <slikenet/ReliabilityLayer.h>`

## Public Member Functions

| TimeAndValue2 ()
| ~TimeAndValue2 ()
| TimeAndValue2 (CCTimeType t, uint64_t v1)

## Public Attributes

uint64_t | value1
CCTimeType | time

## Detailed Description

Definition at line 103 of file ReliabilityLayer.h.

## Constructor & Destructor Documentation

BPSTracker::TimeAndValue2::TimeAndValue2 | ( |  | ) |

Definition at line 72 of file ReliabilityLayer.cpp.

BPSTracker::TimeAndValue2::~TimeAndValue2 | ( |  | ) |

Definition at line 73 of file ReliabilityLayer.cpp.

BPSTracker::TimeAndValue2::TimeAndValue2 | ( | CCTimeType | t,
|  | uint64_t | v1
| ) |  |

Definition at line 74 of file ReliabilityLayer.cpp.

## Member Data Documentation

CCTimeType SLNet::BPSTracker::TimeAndValue2::time

Definition at line 111 of file ReliabilityLayer.h.

Referenced by SLNet::BPSTracker::ClearExpired1().

uint64_t SLNet::BPSTracker::TimeAndValue2::value1

Definition at line 110 of file ReliabilityLayer.h.

Referenced by SLNet::BPSTracker::ClearExpired1().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/ReliabilityLayer.h
- Source/src/ReliabilityLayer.cpp